import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Project } from '../../entity/platform/project.entity';
type modelType = ReturnModelType<typeof Project>;
@Provide()
export class ProjectService extends BaseService<modelType> {
  @InjectEntityModel(Project)
  model: modelType;
}
