import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Expert } from '../../entity/users/expert.entity';
type modelType = ReturnModelType<typeof Expert>;
@Provide()
export class ExpertService extends BaseService<modelType> {
  @InjectEntityModel(Expert)
  model: modelType;
}
