import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Achievement } from '../../entity/platform/achievement.entity';
type modelType = ReturnModelType<typeof Achievement>;
@Provide()
export class AchievementService extends BaseService<modelType> {
  @InjectEntityModel(Achievement)
  model: modelType;
}
