import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Company } from '../../entity/users/company.entity';
type modelType = ReturnModelType<typeof Company>;
@Provide()
export class CompanyService extends BaseService<modelType> {
  @InjectEntityModel(Company)
  model: modelType;
}
